curl --request POST \
--url https://anaconda.com/api/v1/organizations/{org_id}/users_auto_registration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_emails": [
"jsmith@example.com"
]
}
'import requests
url = "https://anaconda.com/api/v1/organizations/{org_id}/users_auto_registration"
payload = { "user_emails": ["jsmith@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_emails: ['jsmith@example.com']})
};
fetch('https://anaconda.com/api/v1/organizations/{org_id}/users_auto_registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users_in_onboarding_process": [
"<string>"
],
"users_unavailable_for_onboarding": [
"<string>"
],
"total_organization_seats": "<string>",
"available_organization_seats": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Onboard Users
Onboards users by adding them to your organization, assigning seats, and generating organization access tokens.
users_unavailable_for_onboarding.Authorizations
Bearer token obtained by authenticating with service account credentials (client_id and client_secret).
See the Getting started page for the full authentication flow.
Path Parameters
Your organization ID, found in your organization's URL: anaconda.com/app/organizations/<ORG_ID>/.
Body
A list of email addresses for the users to onboard.
Response
Onboarding results
Email addresses of users that were successfully queued for onboarding.
Email addresses of users that could not be onboarded (for example, because they already have an account or no seats are available).
The total number of seats in your organization's subscription.
The number of remaining unassigned seats.
Was this page helpful?